#ifndef GLTEST_SHADERPROGRAM_H
#define GLTEST_SHADERPROGRAM_H


#include <GL/glew.h>
#include <string>

class ShaderProgram {
private:
	GLuint _program;

public:
	ShaderProgram(const std::string& vertexShaderPath, const std::string& fragmentShaderPath);
	void use() const;
	operator GLuint() const;
	~ShaderProgram();
};


#endif //GLTEST_SHADERPROGRAM_H
